/*
	Ampex tape drive for GIER

	(C) Copyright 2016 by Mogens Kjaer


   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/*
 	Data on tape drive:

	Tape length 2400'
	Tape thickness: 0.001"
	Reel size 10.5"
	Density 200 bpi or 556 bpi
	RW speed 36"/s
	Rewind speed 180"/s
	record gap 0.75"
	Start/stop time: 0.01s
	Capacity HD: 2400'*12"/'*556b/'=16Mbytes à 7 bit

	ampex.png:

	10.5" = 423 px: 1" = 40.29px
	capstan diameter: 86px: 2.13"


*/

#include <stdio.h>
#include <stdlib.h>
#include <Xm/XmP.h>
#include "Ampex.h"
#include "AmpexP.h"

XtResource ampex_resources[]=
{
  {XtNlabelFont, XtCLabelFont, XtRFontStruct, sizeof(XFontStruct *),
    XtOffset(XsAmpexWidget, ampex.labelfont), XtRString, "Fixed"},
  {XtNbackgroundColor, XtCNColor, XtRInt, sizeof(int),
    XtOffset(XsAmpexWidget, ampex.backgroundcolor), XtRString, "0"},


