#!/bin/bash

YEAR=`date +%-y`
MONTH=`date +%-m`
DAY=`date +%-d`
OLDDATE=`fgrep 'Tromle[18006]' default.gier|sed 's/^.*	//'`
OLDSUM=`fgrep 'Tromle[18039]' default.gier|sed 's/^.*	//'`
NEWDATE=`gawk -v CONVFMT="%X" "BEGIN{printf CONVFMT, (($DAY*1024+$MONTH)*1024+$YEAR)*4+0x60000000002}"`
NEWSUM=`gawk -v CONVFMT="%X" "BEGIN{printf CONVFMT, 0x$OLDSUM-0x$NEWDATE+0x$OLDDATE}"`
echo 'Tromle[18006]	'$NEWDATE >>default.gier
echo 'Tromle[18039]	'$NEWSUM >>default.gier

