#!/bin/bash

year=`date +%Y`
year=$[ $year + 0]
month=`date +%_m`
month=$[ $month + 0]
day=`date +%_d`
day=$[ $day + 0]
until [ $year -gt 2021 ]; do
run=0
year2=$[ $year - 2000 ]
gawk "BEGIN { print ((($run * 1024 + $day)*1024 + $month)*1024 + $year2)}"|fgrep -q 1
status=$?
until [  $status -ne 0 ]; do
run=$[ $run + 1]
gawk "BEGIN { print ((($run * 1024 + $day)*1024 + $month)*1024 + $year2)}"|fgrep -q 1
status=$?
done
echo $run.$day.$month.$year2
gawk "BEGIN { print ((($run * 1024 + $day)*1024 + $month)*1024 + $year2)}"
day=$[ $day + 7]
case $month in
1|3|5|7|8|10|12)
  days=31
  ;;
4|6|9|11)
  days=30
  ;;
2)
  leap1=$[ $year % 4 ]
  leap2=$[ $year % 100 ]
  leap3=$[ $year % 400 ]
  days=28
  if [ $leap3 -eq 0 ];
  then
    days=29
  elif [ $leap2 -eq 0 ];
  then
    days=28
  elif [ $leap1 -eq 0 ];
  then
    days=29
  fi
  ;;
esac
if [ $day -gt $days ]
then
  day=$[ $day - $days ]
  month=$[ $month + 1 ]
fi
if [ $month -gt 12 ]
then
  month=1
  year=$[ $year + 1]
fi
done
