#!/usr/bin/perl

open IN,$ARGV[0] or die;

$mode='0';
$MA=0;
$clock=0;
$execute='';
$step=0;

$totalclock=0;
$totalstep=0;

while($l=<IN>)
{
  chomp($l);
  if($l =~ /Mode(.*?): MA=(\d+).*clock: (\d+)$/)
  {
    $mode = $1;
    $MA = $2;
    $clock = $3;
    if($step)
    {
      $step=0;
    }
    if($mode eq "LK" || $mode eq "SK")
    {
      if($MA eq "07")
      {
	$MAB7clock = $clock;
      }
      elsif($MA eq "08")
      {
	$totalclock += $clock-$MAB7clock-1;
      }
    }
    $totalclock++;
  }
  elsif($l =~ /^Execute/)
  {
    $execute = $l;
  }
  elsif($l =~ /^Gm_step/)
  {
    $step=1;
    $totalclock++;
    $totalstep++;
  }
}

$stepratio=$totalstep*100.0/$totalclock;

print "clocks: $totalclock\n";
print "steps:  $totalstep\n";
print "ratio:  $stepratio\n";

