#!/usr/bin/perl

open IN,$ARGV[0] or die;

$clock=0;
$lastclock=0;
$lastt=-1;
$clockfreq=460800.0;

while($l=<IN>)
{
  chomp($l);
  if($l =~ /Mode(.*?): MA=(\d+).*clock: (\d+)$/)
  {
    $clock = $3;
  }
  elsif($l =~ /^spild: (\d) T: (\d)/)
  {
    $t = $2;
    if($t != $lastt)
    {
      if($lastclock>0)
      {
	$delta = $clock-$lastclock;
	$freq = $clockfreq/$delta;
	print "$delta $freq\n";
      }
      $lastt = $t;
      $lastclock = $clock;
    }
  }
}


